package kr.co.zumo.app.lifeplus.activity.factory;

import junit.framework.Assert;

import org.junit.Test;

import kr.co.zumo.app.lifeplus.activity.MainActivity;
import kr.co.zumo.app.lifeplus.activity.NetworkErrorActivity;
import kr.co.zumo.app.lifeplus.activity.SignUpActivity;
import kr.co.zumo.app.lifeplus.activity.TutorialActivity;
import kr.co.zumo.app.lifeplus.supervisor.ScreenID;

public class ActivityFactoryTest {

  @Test
  public void getActivityClass() {
    ActivityFactory factory = new ActivityFactory();

    Assert.assertEquals(MainActivity.class, factory.getActivityClass(ScreenID.ACTIVITY_MAIN));
    Assert.assertEquals(SignUpActivity.class, factory.getActivityClass(ScreenID.ACTIVITY_SIGN_UP));
    Assert.assertEquals(TutorialActivity.class, factory.getActivityClass(ScreenID.ACTIVITY_TUTORIAL));
    Assert.assertEquals(NetworkErrorActivity.class, factory.getActivityClass(ScreenID.ACTIVITY_NETWORK_ERROR));
    // fixme 맞는 액티비티로 수정해야함
    Assert.assertEquals(MainActivity.class, factory.getActivityClass(ScreenID.ACTIVITY_AUTHORIZATION));
    Assert.assertEquals(null, factory.getActivityClass(-1));
  }
}